DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# RangeThreshold

Point Operation

## SYNOPSIS

`#include "dip_point.h"`

dip_Error dip_RangeThreshold ( in, out, lowerBound, upperBound, foreground, background, binaryOutput )

## DATA TYPES

integer, float

## FUNCTION

`out` = ( `lowerBound` <= `in` <= `upperBound` ? `foreground` : `background`) If the boolean `binaryOutput` is true, `RangeThreshold` will produce a binary image. Otherwise an image of the same type as the input image is produced, with the pixels set to either `foreground` or `background`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input image
`dip_Image` | `out` | Output image
`dip_float` | `lowerBound` | Lower bound
`dip_float` | `upperBound` | Upper bound
`dip_float` | `foreground` | Foreground value
`dip_float` | `background` | Background value
`dip_Boolean` | `binaryOutput` | Convert output image to binary

## SEE ALSO

`Threshold`, `HysteresisThreshold`, `IsodataThreshold`

DIPlib on-line documentation | Function reference | Global function index